CE SERVICE PEUT CONTENIR DES TRADUCTIONS GÉNÉRÉES PAR GOOGLE. GOOGLE DÉCLINE TOUTE GARANTIE, EXPLICITE OU IMPLICITE, Y COMPRIS LES GARANTIES D'EXACTITUDE, DE FIABILITÉ, AINSI QUE TOUTE GARANTIE IMPLICITE DE COMMERCIALISATION ET D'ADAPTATION À DES FINS PARTICULIÈRES ET À L'ABSENCE DE CONTREFAÇONS.

Le site internet de Kaspersky Lab a été traduit pour votre commodité en utilisant un logiciel de traduction générée par Google. Des efforts raisonnables ont été faits pour fournir une traduction exacte. Cependant, aucune traduction automatique n'est parfaite et l'objectif n'est pas de remplacer le travail des traducteurs. Le site internet de Kaspersky Lab fournit ces traductions comme un service pour ses utilisateurs, et elles ont été publiées "telles quelles". Aucune garantie, explicite ou implicite, n'est faite au sujet de l'exactitude, de fiabilité ou de conformité de ces traductions faites de l'anglais vers une autre langue. Certains contenus (images, vidéos, Flash, etc.) peuvent ne pas être traduits correctement à cause des limites du logiciel de traduction.

KLA11162
Vulnérabilités multiples dans Foxit Reader
Mis à jour: 07/05/2018
Date de la détection
?
11/01/2017
Sévérité
?
Critique
Description

Plusieurs vulnérabilités sérieuses ont été trouvées dans Foxit Reader. Les utilisateurs malveillants peuvent exploiter ces vulnérabilités pour obtenir des informations sensibles et exécuter du code arbitraire.

Voici une liste complète des vulnérabilités:

  1. Une vulnérabilité de lecture hors limites dans le membre d'index de tuiles des marqueurs SOT peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  2. Une vulnérabilité de validation incorrecte dans la méthode setAction des objets Link peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  3. Une vulnérabilité de validation incorrecte dans l'attribut arrowEnd des objets Annotation peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  4. Une vulnérabilité de lecture hors limites dans l'analyse des images JPEG2000 intégrées dans des fichiers PDF peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  5. Une vulnérabilité de lecture hors limites dans le membre de numéro de canal des fichiers de boîte cdef peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  6. Une vulnérabilité de lecture hors limites dans le membre de numéro de canal des fichiers de boîte cdef peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  7. Une vulnérabilité de lecture hors limites dans l'index de pavé du marqueur SOT dans les images JPEG2000 peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  8. Une vulnérabilité de lecture hors limites dans l'analyse du membre xTsiz des marqueurs SIZ peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  9. Une vulnérabilité de lecture hors limites dans l'analyse du membre xOsiz des marqueurs SIZ peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  10. Une vulnérabilité de type confusion dans la méthode insert des objets XFAScriptObject peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  11. Une vulnérabilité de type confusion dans la méthode remove des objets XFAScriptObject peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  12. Une vulnérabilité de type confusion dans la méthode formNodes des objets de nœud XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  13. Une vulnérabilité de type confusion dans la méthode append des objets de noeud XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  14. Une vulnérabilité de type confusion dans la méthode w des objets Layout XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  15. Une vulnérabilité de type confusion dans la méthode openList des objets XFAScriptObject peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  16. Une vulnérabilité de validation incorrecte dans la méthode setFocus des objets XFAScriptObject peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  17. Une vulnérabilité de validation incorrecte dans l'attribut author des objets Circle Annotation peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  18. Une vulnérabilité de validation incorrecte dans l'attribut style des objets Text Annotation peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  19. Une vulnérabilité de validation incorrecte dans l'attribut style des objets d'annotation FileAttachment peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  20. Une vulnérabilité de type confusion dans la méthode page des objets de mise en page XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  21. Une vulnérabilité de validation incorrecte dans l'attribut modDate des objets Annotation peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  22. Une vulnérabilité de type confusion dans la méthode pageSpan des objets de mise en page XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  23. Une vulnérabilité de type confusion dans la gestion des références à l'objet app de FormCalc peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  24. Une vulnérabilité de type confusion dans la méthode closeDoc de FormCalc peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  25. Une vulnérabilité de lecture hors limites dans l'analyse des filtres LZWDecode peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  26. Une vulnérabilité de lecture hors limites dans l'analyse des filtres Image peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  27. Une vulnérabilité de validation incorrecte dans l'élément bind de XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  28. Une vulnérabilité de validation incorrecte dans l'élément champ de XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  29. Une vulnérabilité de validation incorrecte dans l'attribut d'alignement des objets Field peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  30. Une vulnérabilité de type confusion dans les éléments d'image dans les formulaires XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  31. Une vulnérabilité de lecture hors limites dans le noeud ImageField des formulaires XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles.
  32. Une vulnérabilité de validation incorrecte dans l'attribut author de l'objet Document peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  33. Une vulnérabilité de type confussion dans la méthode clearItems XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  34. Une vulnérabilité de validation incorrecte dans l'élément jeux de données de l'objet formulaires XFA peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  35. Une vulnérabilité de lecture hors limites dans util.printf peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  36. Une vulnérabilité de validation incorrecte dans la méthode app.response peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  37. Une vulnérabilité de validation incorrecte dans la méthode addAnnot peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  38. Une vulnérabilité de validation incorrecte dans la méthode removeField peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour exécuter du code arbitraire;
  39. Une vulnérabilité de lecture hors limites dans l'analyse des marqueurs SOT peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
  40. Une vulnérabilité de lecture hors limites dans l'analyse du membre yTsiz des marqueurs SIZ peut être exploitée à distance via un site Web ou un fichier spécialement conçu pour obtenir des informations sensibles;
Produits concernés

Foxit Reader plus tôt que 9.0.0.29935
Foxit PhantomPDF plus tôt que 9.0.0.29935

Solution

Mettre à jour vers la dernière version
Télécharger Foxit Reader
Télécharger Foxit PhantomPDF

Fiches de renseignement originales

Security bulletins

Impacts
?
ACE 
[?]

OSI 
[?]
Produits liés
Foxit Reader
Foxit Phantom PDF
CVE-IDS
?

CVE-2017-16589
CVE-2017-16588
CVE-2017-16587
CVE-2017-16586
CVE-2017-16585
CVE-2017-16584
CVE-2017-16583
CVE-2017-16582
CVE-2017-16581
CVE-2017-16580
CVE-2017-16579
CVE-2017-16578
CVE-2017-16577
CVE-2017-16576
CVE-2017-16575
CVE-2017-16574
CVE-2017-16573
CVE-2017-16572
CVE-2017-16571
CVE-2017-14837
CVE-2017-14836
CVE-2017-14835
CVE-2017-14834
CVE-2017-14833
CVE-2017-14832
CVE-2017-14831
CVE-2017-14830
CVE-2017-14829
CVE-2017-14828
CVE-2017-14827
CVE-2017-14826
CVE-2017-14825
CVE-2017-14824
CVE-2017-14823
CVE-2017-14822
CVE-2017-14821
CVE-2017-14820
CVE-2017-14819
CVE-2017-14818
CVE-2017-10959
CVE-2017-10958
CVE-2017-10957
CVE-2017-10956


Lien vers l'original